Name:          libsearpc
Version:       3.2
Release:       1mamba
Summary:       A simple C language RPC framework based on GObject system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/haiwen/libsearpc
Source:        https://github.com/haiwen/libsearpc.git/v%{version}-latest/libsearpc-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
Searpc is a simple C language RPC framework based on GObject system. Searpc handles the serialization/deserialization part of RPC, the transport part is left to users.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Development/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package -n python-searpc
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-searpc
This package contains the python bindings for %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   --with-python3 \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsearpc.so.*
%doc AUTHORS LICENSE.txt

%files devel
%defattr(-,root,root)
%{_includedir}/searpc-*.h
%{_includedir}/searpc.h
%{_libdir}/libsearpc.a
%{_libdir}/libsearpc.la
%{_libdir}/libsearpc.so
%{_libdir}/pkgconfig/libsearpc.pc
%doc README.markdown

%files tools
%defattr(-,root,root)
%{_bindir}/searpc-codegen.py

%files -n python-searpc
%defattr(-,root,root)
%dir %{python3_sitearch}/pysearpc
%{python3_sitearch}/pysearpc/*

%changelog
* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2-1mamba
- update to 3.2

* Sun Sep 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-2mamba
- rebuild to update libtool static requirements

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-1mamba
- update to 3.0.7

* Tue Aug 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- package created using the webbuild interface
